Skip to main content
`Ctrl`+`K`

# DMInterpolationSetUp

Compute spatial indices for point location during interpolation

## Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMInterpolationSetUp(DMInterpolationInfo ctx, DM dm, PetscBool redundantPoints, PetscBool ignoreOutsideDomain)

Collective

## Input Parameters

- ctx - the context

- dm - the `DM` for the function space used for interpolation

- redundantPoints - If `PETSC_TRUE`, all processes are passing in the same array of points. Otherwise, points need to be communicated among processes.

- ignoreOutsideDomain - If `PETSC_TRUE`, ignore points outside the domain, otherwise return an error

## See Also

DM Basics, `DM`, `DMInterpolationInfo`, `DMInterpolationEvaluate()`, `DMInterpolationAddPoints()`, `DMInterpolationCreate()`

## Level

intermediate

## Location

src/snes/utils/dm/dminterpolatesnes.c

## Examples

src/ts/tutorials/ex77.c
src/snes/tutorials/ex63.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages